/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class UserRequest {
    public sub: string;

    public username: string;

    public password: string;

    /**
     * Creates a UserRequest.
     *
     * @param {string} sub
     * @param {string} username
     * @param {string} password
     */
    constructor(sub: string, username: string, password: string) {
        this.sub = sub;
        this.username = username;
        this.password = password;
    }
}